aboutsummaryrefslogtreecommitdiffstats
path: root/debug-server.sh
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2014-10-08 11:42:51 +0200
committerSimon Brandhof <simon.brandhof@sonarsource.com>2014-10-08 12:30:07 +0200
commit80824622efd18b59a8dfac18548565d3f5b07691 (patch)
treee71a63f1809076efb07ff04b32d6498f8c13f0a5 /debug-server.sh
parent286f8d1b1942d293a8411944479e14dd54f920d5 (diff)
downloadsonarqube-80824622efd18b59a8dfac18548565d3f5b07691.tar.gz
sonarqube-80824622efd18b59a8dfac18548565d3f5b07691.zip
Rename tool scripts
Diffstat (limited to 'debug-server.sh')
-rwxr-xr-xdebug-server.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/debug-server.sh b/debug-server.sh
new file mode 100755
index 00000000000..5dadb3becab
--- /dev/null
+++ b/debug-server.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+
+cd sonar-application/target/
+if ! ls sonarqube-*/bin/sonar-application*.jar &> /dev/null; then
+ unzip sonarqube-*.zip
+fi
+
+cd sonarqube-*
+java -jar ./lib/sonar-application*.jar -Dsonar.web.javaOpts=-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005 \ No newline at end of file